com.microfocus.awm.model.internal

## Class ElementListLoader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - com.microfocus.awm.model.internal.ElementListLoader

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class ElementListLoader
      extends org.xml.sax.helpers.DefaultHandler

  loads an element list-xml file containing an element list's entries

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementListLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFloatingListsToDirectory()` Adds element lists that could not be added during the cache was loaded since dependent resources (namely element list entries) could not resolved at that point. This method must be called manually after all element lists have been parsed.
    `static void` | `createRelationships()` Sets the parent/child relationships of `IResource`s that have been mapped in element list cache files.
    `void` | `endDocument()`
    `IElementList` | `getElementList()` Gets the loaded element list.
    `void` | `startElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pTagName, org.xml.sax.Attributes pAttr)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementListLoader

          public ElementListLoader()

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String pUri,
                                   java.lang.String pLocalName,
                                   java.lang.String pTagName,
                                   org.xml.sax.Attributes pAttr)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### createRelationships

          public static void createRelationships()

      Sets the parent/child relationships of `IResource`s that have been mapped in element list cache files.
      This method must be called manually after all element lists have been parsed because all resources must be restored from dependent element lists before they can set as children.

    - #### addFloatingListsToDirectory

          public static void addFloatingListsToDirectory()
                                                  throws TaurusCoreException

      Adds element lists that could not be added during the cache was loaded since dependent resources (namely element list entries) could not resolved at that point.
      This method must be called manually after all element lists have been parsed.
      Throws:
        `TaurusCoreException` - if adding a list to the directory fails

    - #### getElementList

          public IElementList getElementList()

      Gets the loaded element list.
      Returns:
        the last element list that has been loaded

Copyright © 2015 Micro Focus GmbH. All rights reserved.